Skip to main content
PATCH
Update training course

Authorizations

Authorization
string
header
required

Use your API key as a Bearer token. API keys can be generated in Settings → Integrations → API Access.

Path Parameters

id
string<uuid>
required

Course ID

Body

application/json
title
string

Course title

Required string length: 1 - 200
description
string

Course description

Maximum string length: 5000
courseType
string

Course type

Maximum string length: 50
courseCategory
string | null

Course category (null to clear)

Maximum string length: 100
companyId
string<uuid> | null

Company ID (null to clear)

isMandatory
boolean

Whether completion is mandatory

passingScore
number

Required passing score

Required range: 0 <= x <= 100
duration
number | null

Duration in minutes (null to clear)

Required range: x >= 1
maxAttempts
number | null

Max attempts (null to clear)

Required range: x >= 1
expiresAfterDays
number | null

Certificate validity (null to clear)

Required range: x >= 1
youtubeUrl
string<uri> | null

YouTube URL (null to clear)

artworkUrl
string<uri> | null

Artwork URL (null to clear)

Response

Course updated

data
object
required